# examples/SysLibs/TaskSchedulerExample/taskscheduler.cpp File Reference

Go to the source code of this file.

## Functions
| _LIT (KTaskName,"MyTaskName\n")
| _LIT (KTitle,"Task Scheduler example")
| _LIT (KTextPressAKey,"\nPress any key to step through the example\n")
| _LIT (KExit,"\nPress any key to exit the application")
| _LIT (KPressAKey,"\nPress any key to continue\n")
| _LIT (KConnect,"\nConnecting the client to the task scheduler server")
| _LIT (KRegisterClient,"\nRegistering the client\n")
| _LIT (KCreateSchedule,"Creating a persistent schedule\n")
| _LIT (KCreateTask,"Creating task for the schedule\n")
| _LIT (KPersistentWait,"Waiting for the persistent task to complete. This will take 20 seconds\n")
| _LIT (KDone,"Task complete \n")
| _LIT (KTransientSchedule,"A transient schedule")
| _LIT (KTransientWait,"Waiting for the transient task to complete. This will take 20 seconds\n")
| _LIT (KCreateTransient,"\nCreating a transient schedule with non-repeating task\n")
| _LIT (KDeleteAllTasks,"\nDeleting all the persistent tasks scheduled by this exe")
| _LIT (KDeleteAllSchedules,"\nDeleting all schedules created by this exe\n")
| _LIT (KTask,"Number of task(s) scheduled by us is(are) %d\n")
| _LIT (KExists,"The tasks scheduled exist\n")
| _LIT (KOtherTask,"Error! Unexpected schedules not scheduled by this exe exist\n")
void | MainL ()
TInt | E32Main ()

## Detailed Description

Definition in file taskscheduler.cpp.

## Function Documentation

void MainL | ( |  | ) |

Much simpler MainL(), uses the new Rendezvous() call to sync with the client

Secure variant Much simpler, uses the new Rendezvous() call to sync with the client

Definition at line 435 of file taskscheduler.cpp.

TInt E32Main | ( |  | ) |

Returns standard error code on exit

Secure variant only Process entry point. Called by client using RProcess API

Returns:
  Standard Epoc error code on process exit
  Standard Epoc error code on process exit Secure variant only Process entry point. Called by client using RProcess API

Entry point for the example

The below section is added to make the code compatible with v9.1 This is because only exe files are compatible with v9.1

Standard entry point function.

A normal Symbian OS executable provides an E32Main() function which is called by the operating system to start the program.

Definition at line 458 of file taskscheduler.cpp.